"SoapOpera Client -> Spray Server - 2002/5/28 Masashi Umezawa"
"Please see SoapExampleDoc >> howToRunExample"

"Settings for Dolphinharbor Spray server"
SoapExampleClient hostAddress: 'www.dolphinharbor.org'.
SoapExampleClient port: 80.
SoapExampleClient targetObjectURI: '/services/soapOperaInterop'.

"'Print It' in workspace"
"1: call 'helloWorld' service"
client := SoapExampleClient new.
client callHelloWorld.

"2: call 'timeNow' service"
client := SoapExampleClient new.
client callTimeNow.

"3: call 'reverseString' service"
client := SoapExampleClient new.
client callReverseString: 'Hello from Squeak'.

"4: call 'transcriptShow' service"
client := SoapExampleClient new.
client callTranscriptShow: 'Hello from Squeak (see: Dolphin Transcript)'.

"5: call 'browseClassDefinition' service"
client := SoapExampleClient new.
client callBrowseClassDefinition: 'SoapOperaInterop'.

"6: call 'reverseArray' service"
client := SoapExampleClient new.
client callReverseArray: #(1 #two 3.0).

"7: call 'returnComplexDictionary' service"
client := SoapExampleClient new.
client callReturnComplexDictionary.

"Reset to default settings"
SoapExampleClient initialize. 